export interface IHostInstanceManagerApi {
    getWidgetIds(callback: (hresult: number, widgetIds: Array<string>) => void): Promise<void>;
    getWidgetDefinition(widgetId: string, callback: (hresult: number, definiton: string) => void): Promise<void>;
    getWidgetProps(widgetId: string, callback: (hresult: number, props: string) => void): Promise<void>;
    setWidgetProps(widgetId: string, props: string): Promise<void>;
    addWidgetAsync(widgetDefinitionId: string, addPinned: boolean, callback: (hresult: number, widgetId: string) => void): Promise<void>;
    removeWidget(widgetId: string): Promise<void>;
    activateWidget(widgetId: string, firstActivation: boolean): Promise<void>;
    deactivateWidget(widgetId: string): Promise<void>;
    handleAction(widgetId: string, verb: string, data: string): Promise<void>;
    handleNotify(widgetId: string, data: string): Promise<void>;
    getWidgetDataAsync(widgetId: string, callback: (hresult: number, data: string, template: string) => void): Promise<void>;
    addEventListener(eventName: string, listener: Function): Promise<void>;
    removeEventListener(eventName: string, listener: Function): Promise<void>;
    setWidgetPinnedAsync(widgetDefinitionId: string, isPinned: boolean): Promise<void>;
}
